#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    
    string t;
    cin>>t;

    string s;
    cin>>s;

    int duzinas=s.size();

    int pojavljivanjas['z'-'0'+1]={0};

    for (int i=0;i<duzinas;i++)
    {
        pojavljivanjas[s[i]-'0']++;
    }

    int duzinat=t.size();

    int pojavljivanjat['z'-'0'+1]={0};

    for (int i=0;i<duzinat;i++)
    {
        pojavljivanjat[t[i]-'0']++;
    }

    if (duzinat<duzinas)
    {
        cout<<"0"<<endl;
        cout<<t;
    }

    else if (duzinat==duzinas)
    {
        if (t==s)
        {
            cout<<"1"<<endl;
            cout<<"*";

            for (int i=1;i<duzinat;i++)
            {
                cout<<t[i];
            }
        }

        else
        {
            cout<<"0"<<endl;
            cout<<t;
        }
    }

    else if (duzinat>duzinas)
    {
        int brojac=0;

        for (int i='a'-'0';i<='z'-'0';i++)
        {
            if (pojavljivanjas[i]>0)
            {
                if (pojavljivanjat[i]<pojavljivanjas[i])
                {
                    brojac++;

                    break;
                }
            }
        }

        if (brojac==1)
        {
            cout<<"0"<<endl;
            cout<<t;
        }

        else
        {
            int mini=1000000000;

            int broj=0;

            char slovo;

            int samo=0;

            for (int i='a'-'0';i<='z'-'0';i++)
            {
                if (pojavljivanjas[i]>0)
                {
                    mini=min((pojavljivanjat[i]/pojavljivanjas[i])*pojavljivanjas[i],mini);

                    if (mini==(pojavljivanjat[i]/pojavljivanjas[i])*pojavljivanjas[i])
                    {
                        broj=i;
                    }
                }
            }

            if (broj==49)
            {
                slovo='a';
            }

            if (broj==50)
            {
                slovo='b';
            }

            if (broj==51)
            {
                slovo='c';
            }

            if (broj==52)
            {
                slovo='d';
            }

            if (broj==53)
            {
                slovo='e';
            }

            if (broj==54)
            {
                slovo='f';
            }

            if (broj==55)
            {
                slovo='g';
            }

            if (broj==56)
            {
                slovo='h';
            }

            if (broj==57)
            {
                slovo='i';
            }

            if (broj==58)
            {
                slovo='j';
            }

            if (broj==59)
            {
                slovo='k';
            }

            if (broj==60)
            {
                slovo='l';
            }

            if (broj==61)
            {
                slovo='m';
            }

            if (broj==62)
            {
                slovo='n';
            }

            if (broj==63)
            {
                slovo='o';
            }

            if (broj==64)
            {
                slovo='p';
            }

            if (broj==65)
            {
                slovo='q';
            }

            if (broj==66)
            {
                slovo='r';
            }

            if (broj==67)
            {
                slovo='s';
            }

            if (broj==68)
            {
                slovo='t';
            }

            if (broj==69)
            {
                slovo='u';
            }

            if (broj==70)
            {
                slovo='v';
            }

            if (broj==71)
            {
                slovo='w';
            }

            if (broj==72)
            {
                slovo='x';
            }

            if (broj==73)
            {
                slovo='y';
            }

            if (broj==74)
            {
                slovo='z';
            }

            cout<<mini<<endl;

            for (int i=0;i<duzinat;i++)
            {
                if (t[i]==slovo and mini>0)
                {
                    t[i]='*';

                    mini--;
                }

                cout<<t[i];
            }
        }
    }
}